// XCmykTestDlg.h : header file
//

#ifndef XCMYKTESTDLG_H
#define XCMYKTESTDLG_H

#include "KnobControlST.h"
#include "StaticST.h"
//#include "BkDialogST.h"

//#define BASE_CLASS CBkDialogST
#define BASE_CLASS CDialog

/////////////////////////////////////////////////////////////////////////////
// CXCmykTestDlg dialog

class CXCmykTestDlg : public BASE_CLASS
{
// Construction
public:
	CXCmykTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CXCmykTestDlg)
	enum { IDD = IDD_XCMYKTEST_DIALOG };
	CStaticST		m_stcColor;

	CKnobControlST	m_knbRed;
	CKnobControlST	m_knbGreen;
	CKnobControlST	m_knbBlue;

	CKnobControlST	m_knbCyan;
	CKnobControlST	m_knbMagenta;
	CKnobControlST	m_knbYellow;

	CStaticST		m_RedValue;
	CStaticST		m_GreenValue;
	CStaticST		m_BlueValue;

	CStaticST		m_CyanValue;
	CStaticST		m_MagentaValue;
	CStaticST		m_YellowValue;
	CStaticST		m_BlackValue;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXCmykTestDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON	m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CXCmykTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	afx_msg LRESULT OnChangeRgbValues(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnChangeCmykValues(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnChangeUIState(UINT nAction, UINT nUIElement);
	afx_msg void OnStnClickedGreenValue();
	afx_msg void OnStnClickedStccolor();
	afx_msg void OnStnClickedBlueValue();
	afx_msg void OnStnClickedBlackValue();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif //XCMYKTESTDLG_H
